# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.1.230 -> 1.1069.1.231
#	arch/ia64/hp/common/sba_iommu.c	1.1.2.15 -> 1.1.2.16
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/12/29	bjorn.helgaas@hp.com	1.1132
# Merge hp.com:/home/helgaas/linux/ia64-extras
# into hp.com:/home/helgaas/linux/linux-ia64-2.4
# --------------------------------------------
# 03/12/29	bjorn.helgaas@hp.com	1.1133
# Merge hp.com:/home/helgaas/linux/to-marcelo-2.4
# into hp.com:/home/helgaas/linux/linux-ia64-2.4
# --------------------------------------------
# 03/12/29	davem@nuts.ninka.net	1.1069.176.49
# Merge nuts.ninka.net:/disk1/davem/BK/sparcwork-2.4
# into nuts.ninka.net:/disk1/davem/BK/sparc-2.4
# --------------------------------------------
# 03/12/29	davem@nuts.ninka.net	1.1069.190.4
# Merge nuts.ninka.net:/disk1/davem/BK/network-2.4
# into nuts.ninka.net:/disk1/davem/BK/net-2.4
# --------------------------------------------
# 03/12/29	bdschuym@pandora.be	1.1069.190.5
# [BRIDGE]: Fix loopback over bridge port.
# 
# When sending a broadcast from a Linux bridge over a bridge port,
# net/ipv4/ip_output.c::ip_dev_loopback_xmit() will send the packet back
# to the bridge port. Currently, the bridge code will intercept this
# loopback packet and try to bridge it. This is not right, the loopback
# packet doesn't even have an Ethernet header. This loopback packet is
# intended for the bridge port and should not be stolen by the bridge code.
# The patch below fixes this by adding a check in __handle_bridge().
# --------------------------------------------
# 03/12/30	marcelo@logos.cnet	1.1069.191.14
# Merge bk://gkernel.bkbits.net/net-drivers-2.4
# into logos.cnet:/home/marcelo/bk/linux-2.4
# --------------------------------------------
# 03/12/30	mfedyk@matchmail.com	1.1069.191.15
# [PATCH] Use "%u" when printing extended /proc/partitions statistics
# 
# > Probably just somewhere printing out %ld instead of %lu or similar.  I'm
# > sure a trivial patch to fix it would be accepted.
# 
# struct hd_struct in include/linux/genhd.h:61 has them all unsigned int.
# 
# How's this patch look against 2.4.23?
# --------------------------------------------
# 03/12/30	marcelo@logos.cnet	1.1069.176.50
# Merge bk://kernel.bkbits.net/davem/sparc-2.4
# into logos.cnet:/home/marcelo/bk/linux-2.4
# --------------------------------------------
# 03/12/30	marcelo@logos.cnet	1.1069.176.51
# Merge bk://kernel.bkbits.net/davem/net-2.4
# into logos.cnet:/home/marcelo/bk/linux-2.4
# --------------------------------------------
# 03/12/30	bjorn_helgaas@hp.com	1.1069.1.231
# ia64 HP iommu: add "sx1000" detection (no functional change).
# --------------------------------------------
#
diff -Nru a/arch/ia64/hp/common/sba_iommu.c b/arch/ia64/hp/common/sba_iommu.c
--- a/arch/ia64/hp/common/sba_iommu.c	Thu Jan  8 16:34:16 2004
+++ b/arch/ia64/hp/common/sba_iommu.c	Thu Jan  8 16:34:16 2004
@@ -138,6 +138,7 @@
 
 #define ZX1_IOC_ID	((PCI_DEVICE_ID_HP_ZX1_IOC << 16) | PCI_VENDOR_ID_HP)
 #define REO_IOC_ID	((PCI_DEVICE_ID_HP_REO_IOC << 16) | PCI_VENDOR_ID_HP)
+#define SX1000_IOC_ID	((PCI_DEVICE_ID_HP_SX1000_IOC << 16) | PCI_VENDOR_ID_HP)
 
 #define ZX1_IOC_OFFSET	0x1000	/* ACPI reports SBA, we want IOC */
 
@@ -1637,6 +1638,7 @@
 static struct ioc_iommu ioc_iommu_info[] __initdata = {
 	{ ZX1_IOC_ID, "zx1", ioc_zx1_init },
 	{ REO_IOC_ID, "REO" },
+	{ SX1000_IOC_ID, "sx1000" },
 };
 
 static struct ioc * __init
